/* -------------------------------------------------- */
/* ---| LOADER CSS |--- */
/* -------------------------------------------------- */

#loader-three-light-rings > .wrapper
{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

#loader-three-light-rings .rings-container
{
    width: 150px;
    height: 150px;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
}

#loader-three-light-rings .rings-container .ring
{
    position: relative;
    width: 62%;
    height: 62%;
    border: 5px solid transparent;
    border-radius: 50%;
    position: absolute;
    animation-name: rotate;
    animation-duration: 1s;
    animation-timing-function: linear;
    animation-iteration-count: infinite;
    /*box-shadow: 0 0 10px 1px #FFFFFF33;*/
}

#loader-three-light-rings .rings-container .ring::before
{
    content: '';
    position: absolute;
    border-radius: 50%;
    width: 18%;
    height: 18%;
}

#loader-three-light-rings .rings-container .ring:nth-child(odd)
{
   top: 31%
}

#loader-three-light-rings .rings-container .ring:nth-child(1)
{
    border-left-color: #FF5555;
    left: 0;
    animation-direction: reverse;
    /*animation-delay: 0.75s;*/
}

#loader-three-light-rings .rings-container .ring:nth-child(1)::before
{
    bottom: 6%;
    left: 0;
    background-color: #FF5555;
    box-shadow: 0 0 0 5px #FF555533,
                0 0 0 8px #FF555522,
                0 0 0 13px #FF555511;
}

#loader-three-light-rings .rings-container .ring:nth-child(2)
{
    border-top-color: #FFFF55;
    position: absolute;
    top: 0;
    /*animation-delay: 0.5s;*/
}

#loader-three-light-rings .rings-container .ring:nth-child(2)::before
{
    top: 6%;
    right: 0;
    background-color: lightyellow;
    background-color: #FFFF55;
    box-shadow: 0 0 0 5px #FFFF5533,
                0 0 0 8px #FFFF5522,
                0 0 0 13px #FFFF5511;
}

#loader-three-light-rings .rings-container .ring:nth-child(3)
{
    border-right-color: #55FFFF;
    position: absolute;
    right: 0;
    /*animation-delay: 0.25s;*/
}

#loader-three-light-rings .rings-container .ring:nth-child(3)::before
{
    bottom: 6%;
    right: 0;
    background-color: lightskyblue;
    box-shadow: 0 0 0 5px #55FFFF33,
                0 0 0 8px #55FFFF22,
                0 0 0 13px #55FFFF11;
}

#loader-three-light-rings .text-container
{
  padding: 25px;
}

#loader-three-light-rings .text-container .text
{
    color: #FFF;
    font-weight: bold;
}

@keyframes rotate
{
    0%{ transform: rotate( 0deg ); }
    100%{ transform: rotate( 360deg ); }
}

/* -------------------------------------------------- */
/* ---| END LOADER CSS |--- */
/* -------------------------------------------------- */